emulators/libdsk - The NetBSD Packages Collection

Library for accessing floppy discs and disc image files

LibDsk is a library intended to give transparent access to floppy
drives and to the "disc image files" used by emulators to represent
floppy drives. It currently supports the following disc image
formats:

- Raw "dd if=foo of=bar" images;
- Raw images in logical filesystem order;
- CPCEMU-format .DSK images (normal and extended);
- CFI-format disc images, as produced by FDCOPY.COM;
- ApriDisk-format disc images;
- NanoWasp-format disc images, used by the eponymous emulator;
- Yaze 'ydsk' disc images, created by the 'yaze' emulators;
- Disc images created by Teledisk and CopyQM (read only);
- The floppy drive under Linux.

Build dependencies

devel/libtool-base pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64libdsk-1.3.8.tgz
NetBSD 10.0aarch64libdsk-1.3.8.tgz
NetBSD 10.0aarch64libdsk-1.3.8.tgz
NetBSD 10.0aarch64libdsk-1.3.8.tgz
NetBSD 10.0aarch64eblibdsk-1.3.8.tgz
NetBSD 10.0aarch64eblibdsk-1.3.8.tgz
NetBSD 10.0alphalibdsk-1.3.8.tgz
NetBSD 10.0earmv6hflibdsk-1.3.8.tgz
NetBSD 10.0earmv6hflibdsk-1.3.8.tgz
NetBSD 10.0earmv6hflibdsk-1.3.8.tgz
NetBSD 10.0earmv6hflibdsk-1.3.8.tgz
NetBSD 10.0earmv7hflibdsk-1.3.8.tgz
NetBSD 10.0earmv7hflibdsk-1.3.8.tgz
NetBSD 10.0earmv7hflibdsk-1.3.8.tgz
NetBSD 10.0earmv7hflibdsk-1.3.8.tgz
NetBSD 10.0i386libdsk-1.3.8.tgz
NetBSD 10.0powerpclibdsk-1.3.8.tgz
NetBSD 10.0powerpclibdsk-1.3.8.tgz
NetBSD 10.0vaxlibdsk-1.3.8.tgz
NetBSD 10.0vaxlibdsk-1.3.8.tgz
NetBSD 10.0x86_64libdsk-1.3.8.tgz
NetBSD 8.0i386libdsk-1.3.8.tgz
NetBSD 8.0i386libdsk-1.3.8.tgz
NetBSD 8.0i386libdsk-1.3.8.tgz
NetBSD 8.0powerpclibdsk-1.3.8.tgz
NetBSD 8.0powerpclibdsk-1.3.8.tgz
NetBSD 8.0x86_64libdsk-1.3.8.tgz
NetBSD 8.0x86_64libdsk-1.3.8.tgz
NetBSD 8.0x86_64libdsk-1.3.8.tgz
NetBSD 9.0aarch64libdsk-1.3.8.tgz
NetBSD 9.0aarch64libdsk-1.3.8.tgz
NetBSD 9.0aarch64libdsk-1.3.8.tgz
NetBSD 9.0alphalibdsk-1.3.8.tgz
NetBSD 9.0alphalibdsk-1.3.8.tgz
NetBSD 9.0earmlibdsk-1.3.8.tgz
NetBSD 9.0earmlibdsk-1.3.8.tgz
NetBSD 9.0earmv4libdsk-1.3.8.tgz
NetBSD 9.0earmv6hflibdsk-1.3.8.tgz
NetBSD 9.0earmv6hflibdsk-1.3.8.tgz
NetBSD 9.0earmv6hflibdsk-1.3.8.tgz
NetBSD 9.0earmv7hflibdsk-1.3.8.tgz
NetBSD 9.0earmv7hflibdsk-1.3.8.tgz
NetBSD 9.0earmv7hflibdsk-1.3.8.tgz
NetBSD 9.0i386libdsk-1.3.8.tgz
NetBSD 9.0i386libdsk-1.3.8.tgz
NetBSD 9.0i386libdsk-1.3.8.tgz
NetBSD 9.0m68klibdsk-1.3.8.tgz
NetBSD 9.0m68klibdsk-1.3.8.tgz
NetBSD 9.0mips64eblibdsk-1.3.8.tgz
NetBSD 9.0mips64eblibdsk-1.3.8.tgz
NetBSD 9.0powerpclibdsk-1.3.8.tgz
NetBSD 9.0powerpclibdsk-1.3.8.tgz
NetBSD 9.0powerpclibdsk-1.3.8.tgz
NetBSD 9.0sh3ellibdsk-1.3.8.tgz
NetBSD 9.0sh3ellibdsk-1.3.8.tgz
NetBSD 9.0sparc64libdsk-1.3.8.tgz
NetBSD 9.0sparc64libdsk-1.3.8.tgz
NetBSD 9.0sparclibdsk-1.3.8.tgz
NetBSD 9.0sparclibdsk-1.3.8.tgz
NetBSD 9.0vaxlibdsk-1.3.8.tgz
NetBSD 9.0vaxlibdsk-1.3.8.tgz
NetBSD 9.0x86_64libdsk-1.3.8.tgz
NetBSD 9.0x86_64libdsk-1.3.8.tgz
NetBSD 9.0x86_64libdsk-1.3.8.tgz
NetBSD 9.3x86_64libdsk-1.3.8.tgz
NetBSD 9.3x86_64libdsk-1.3.8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.